# `DeclarativeMeta`

The DeclarativeMeta class is accessible via the `sqlobject.declarative` module.

## Attributes

#### a `__weakrefoffset__`

    184

#### a `__mro__`

    (<class 'sqlobject.declarative.DeclarativeMeta'>,
     <type 'type'>,
     <type 'object'>)

#### a `__bases__`

    (<type 'type'>,)

#### a `__dictoffset__`

    132

#### a `__itemsize__`

    20

#### a `__name__`

    'DeclarativeMeta'

#### a `__basicsize__`

    436

#### a `__flags__`

    -2146543621

## Methods

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__lt__(...)` ...

x.__lt__(y) <==> x<y

#### f `__init__(...)` ...

x.__init__(...) initializes x; see help(type(x)) for signature

#### f `__subclasses__(...)` ...

__subclasses__() -> list of immediate subclasses

#### f `__format__(...)` ...

default object formatter

#### f `__call__(...)` ...

x.__call__(...) <==> x(...)

#### f `__instancecheck__(...)` ...

__instancecheck__() -> bool check if an object is an instance

#### f `__ne__(...)` ...

x.__ne__(y) <==> x!=y

#### f `__subclasscheck__(...)` ...

__subclasscheck__() -> bool check if a class is a subclass

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `__gt__(...)` ...

x.__gt__(y) <==> x>y

#### f `__eq__(...)` ...

x.__eq__(y) <==> x==y

#### f `__le__(...)` ...

x.__le__(y) <==> x<=y

#### f `__ge__(...)` ...

x.__ge__(y) <==> x>=y

See the source for more information.